Summary: A news reader that displays postings in threaded format.
Name: trn
Version: 3.6
Release: 16
Copyright: distributable
Group: Applications/Internet
Source0:  ftp://ftp.uu.net:/networking/news/readers/trn/trn-3.6.tar.gz
Source1: trn.wmconfig
Patch0: trn-3.6-linux.patch
Patch1: trn-3.6-sigtstp.patch
Patch2: trn-3.6-make.patch
Patch3: trn-3.6-bool.patch
Buildroot: /var/tmp/trn-root

%description
Trn is a basic news reader that supports threading.  This version is
configured to read news from an NNTP news server.

Install trn if you need a basic news reader that shows you newsgroup
postings in threaded format.

%prep
%setup -q 
%patch0 -p1 -b .linux
%patch1 -p1 -b .sigstp
%patch2 -p1 -b .make
%patch3 -p1 -b .bool

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT/usr/lib/trn
mkdir -p $RPM_BUILD_ROOT/usr/man/man1/

chmod 755 filexp
chmod 755 makedir

make install RPM_INSTALL=$RPM_BUILD_ROOT

chmod 755 $RPM_BUILD_ROOT/usr/bin/*
chmod 755 $RPM_BUILD_ROOT/usr/lib/*

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
cp $RPM_SOURCE_DIR/trn.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/trn

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README INSTALL MANIFEST HINTS.TRN HACKERSGUIDE NEW
/usr/bin/trn
/usr/bin/newsetup
/usr/bin/newsgroups
/usr/bin/Pnews
/usr/bin/Rnmail
/usr/bin/trn-artchk
/usr/bin/nntplist
/usr/lib/trn
/usr/man/man1/trn.1
/usr/man/man1/Pnews.1
/usr/man/man1/Rnmail.1
/usr/man/man1/newsetup.1
/usr/man/man1/newsgroups.1
%config /etc/X11/wmconfig/trn

%changelog
* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 16)

* Wed Feb 10 1999 Michael Maher <mike@redhat.com>
- patched BUG #587
- changed group

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- added buildroot
- updated spec file

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Dec 30 1997 Erik Troan <ewt@redhat.com>
- SIGTSTP handler was flaky, which made ^Z fail w/ built against glibc
- added a wmconfig entry

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc 

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- some of the files in /usr/bin wrre 647, which makes no sense.

